"use strict";

exports.__esModule = true;
exports.default = _default;

function filterComments(list, path, remove) {
  return list.filter(function (o) {
    return o.type.toLowerCase() !== remove.toLowerCase();
  });
}

function _default(_ref) {
  var t = _ref.types;
  return {
    name: 'remove-comments',
    visitor: {
      Program: function Program(path, _temp) {
        var _ref2 = _temp === void 0 ? {} : _temp,
            _ref2$opts$remove = _ref2.opts.remove,
            remove = _ref2$opts$remove === void 0 ? 'all' : _ref2$opts$remove;

        if (remove === 'none') return;
        path.traverse({
          enter: function enter(path) {
            var leadingCommentsList = path.node.leadingComments || [];
            var trailingCommentsList = path.node.trailingComments || [];

            if (leadingCommentsList.length > 0 || trailingCommentsList.length > 0) {
              if (remove === 'all') {
                t.removeComments(path.node);
              } else {
                path.node.leadingComments = filterComments(leadingCommentsList, path, remove);
                path.node.trailingComments = filterComments(trailingCommentsList, path, remove);
              }
            }
          }
        });
      }
    }
  };
}